pcl::traits::fieldList< PointT > Struct Template Reference

`#include <pcl/point_traits.h>`

## Public Member Functions

| BOOST_MPL_ASSERT_MSG ((!boost::is_same< PointT, typename POD< PointT >::type >::value), POINT_TYPE_NOT_PROPERLY_REGISTERED,(PointT &))

## Detailed Description

### template<typename PointT>
struct pcl::traits::fieldList< PointT >

Definition at line 176 of file point_traits.h.

## Member Function Documentation

template<typename PointT >

pcl::traits::fieldList< PointT >::BOOST_MPL_ASSERT_MSG | ( | (!boost::is_same< PointT, typename POD< PointT >::type >::value) | ,
|  | POINT_TYPE_NOT_PROPERLY_REGISTERED | ,
|  | (PointT &) |
| ) |  |

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/point_traits.h